org.apache.hadoop.hdfs.protocol

## Class CachePoolEntry

- java.lang.Object
- - org.apache.hadoop.hdfs.protocol.CachePoolEntry

-     @InterfaceAudience.Public
       @InterfaceStability.Evolving
      public class CachePoolEntry
      extends Object

  Describes a Cache Pool entry.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CachePoolEntry(CachePoolInfo info, CachePoolStats stats)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CachePoolInfo` | `getInfo()`
    `CachePoolStats` | `getStats()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CachePoolEntry

          public CachePoolEntry(CachePoolInfo info,
                                CachePoolStats stats)

  - ### Method Detail

    - #### getInfo

          public CachePoolInfo getInfo()

    - #### getStats

          public CachePoolStats getStats()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.